<?include('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
?>
<div class="menucenter">
<div class='navil'>
<?
$nameus=text($_SESSION["username"]);
$wmlogin=mysql_result(mysql_query("SELECT wmlogin FROM tb_users WHERE username='$nameus'"),0,0);
if(isset($_POST["blockip"]))
{
$wmlogin=$_POST["wmlogin"];
if($wmlogin!=0 AND $wmlogin!=1)
{
echo "<div class=error>Ой чо то ты мудришь...ууууу...</div>";
include('footer.php');
exit;
}
         mysql_query("UPDATE tb_users SET wmlogin='$wmlogin' WHERE username='$nameus'");
	$blockip=text($_POST["blockip"]);
	$blockip=trim($blockip);
	$user=$_SESSION["username"];

	if(ereg("[0-9.]$", $blockip) or $blockip=='')
	{

		mysql_query("update tb_users set blockip='$blockip' where username='$user'");

	}
}


$user=text($_SESSION["username"]);
$res=mysql_query("select blockip from tb_users where username='$user'");
$blockip=mysql_result($res,0,0);
?>
Данный раздел позволит Вам указать IP адрес, или маску по IP адресу, с которых можно получать доступ к аккаунту.
После того, как функция «Ограничение по IP» будет активирована, получать доступ можно будет только с указанных IP адресов.<br><br>
<b>Ваш текущий IP адрес: </b><span style="color: #ff0000;"><?=getRealIP() ?></span></div>
<div class='navil'>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tbody>
<tr><td>
<b>Разрешить вход с IP:</b></td>
<td class=value>
<form method="post" action="security.php">
<input type="text" value="<?=$blockip ?>" size="30" maxlength="15" name="blockip">
<input type="hidden" value="<?=$user?>" name="user">
</td></tr>
<tr>
<td>Вход <b>только</b> через WmLogin:</td>
<td class=value><input type="radio"  size="30" maxlength="15" name="wmlogin" value="0" <?if($wmlogin==0) echo "checked"; ?>>Выключить | <input type="radio" name="wmlogin" value="1" <?if($wmlogin==1) echo "checked"; ?>>Включить</td>
</tr>
<tr>
<td></td>
<td class=value><input type="submit" class="ok_wm" value="Сохранить"></td></tr></tbody>
</table>
</form>
</div>
<div class='navil'>
<b>Если у Вас статический IP адрес (не меняется)</b>, то в поле «Разрешить вход с IP» укажите Ваш текущий IP адрес.
<br>
<b>Если у Вас динамический IP адрес (меняется)</b>, то необходимо указать маску по IP.
Например, если Ваш IP <u>127.0.0.1</u>, и последняя цифра постоянно меняется, то в поле «Разрешить вход с IP» необходимо указать IP без
последней цифры - <u>127.0.0.</u> Аналогично, если постоянно меняются две последние цифры, то в поле «Разрешить вход с IP» необходимо указать IP без
двух последних цифр - <u>127.0.</u></div>
<? include('footer.php'); ?>